Loading...
Searching...
No Matches
close.c File Reference

Segment closing routine. More...

`#include <unistd.h>`
`#include <fcntl.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "local_proto.h"`
Include dependency graph for close.c:

Go to the source code of this file.

## Functions

int | Segment_close (SEGMENT *SEG)
| Free memory allocated to segment, delete temp file.

## Detailed Description

Segment closing routine.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2018

Definition in file close.c.

## Function Documentation

## Segment_close()

int Segment_close | ( | SEGMENT * | SEG | ) |

Free memory allocated to segment, delete temp file.

Releases the allocated memory associated with the segment file seg and deletes the temporary file.

Parameters

  [in,out] | SEG | segment

Returns
  1 if successful
  -1 if SEGMENT is not available (not open)

Definition at line 32 of file close.c.

References G_free(), NULL, and Segment_release().